Bug 1033185 - [RFE][nova]: a shared volume can be accessed by many instances
Summary: [RFE][nova]: a shared volume can be accessed by many instances
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: Upstream M2
: 14.0 (Rocky)
Assignee: Matthew Booth
QA Contact: Archit Modi
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_defi...
Keywords: FutureFeature, Triaged
Depends On:
Blocks: 1281573 1339072 1442136 1476900 1478186 1496484 1521118 1661022 1022045 1033180 1552736 1613486 1624971 1694113
TreeView+ depends on / blocked
 
Reported: 2013-11-21 16:26 UTC by Stephen Gordon
Modified: 2019-03-29 14:42 UTC (History)
29 users (show)

(edit)
Clone Of: 1033178
: 1552736 (view as bug list)
(edit)
Last Closed: 2019-01-11 11:47:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:48 UTC
OpenStack gerrit 304681 None None None 2016-06-21 20:21 UTC
OpenStack gerrit 373203 None None None 2016-11-28 15:47 UTC

Description Stephen Gordon 2013-11-21 16:26:52 UTC
Cloning to Nova as there are impacts here too. No Nova-specific blueprint exists (to my knowledge) covering these impacts at this time.

+++ This bug was initially created as a clone of Bug #1033178 +++

Cloned from launchpad blueprint https://blueprints.launchpad.net/cinder/+spec/shared-volume.

Description:

Provide the ability to attach a single volume to multiple instances simultaneously.  In order to do this R/W there are a number of issues involved with respect to data corruption etc.  As a first pass it would be very useful to introduce a Read Only option that could be specified during attach and used to allow simultaneous attach to multiple instances.

Most of this will require work in Nova/Compute but there will need to be some comprehension added to Cinder, and perhaps the ability to mark a volume as Read Only might be useful as well.

This R/O volumes could be especially useful for things like Images and even D2D backups.  

There's also a need for FC environments to multi-attach in general.

Specification URL (additional information):

None

Comment 2 Stephen Gordon 2013-11-27 20:39:17 UTC
I'm actually currently working this against https://blueprints.launchpad.net/cinder/+spec/multi-attach-volume but both it and the blueprint in the description overlap.

Comment 3 Dave Allan 2013-12-12 03:16:34 UTC
Note that one of the use cases here is clusters with SCSI3 persistent reservation based fencing, which expands the scope quite a bit to include virtio-scsi and NPIV.  Libvirt is most of the way through the implementation of expanded support for NPIV which might help here.

Comment 6 Mike McCune 2016-03-28 23:11:51 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 8 Stephen Gordon 2016-07-07 16:15:26 UTC
Missed Newton approvals, moving to Ocata.

Comment 11 Stephen Gordon 2016-10-28 18:15:31 UTC
Moving to Lee initially based on a discussion we had today. This feature and issues related to it, among others, led to discussion of a significant update/rewrite of the way Cinder and Nova work together to attach volumes at the Barcelona OpenStack summit:

    https://etherpad.openstack.org/p/ocata-nova-summit-cinder-session

The long and the short of it is there is quite a lot of work to do here, I would like to keep this on our RHOSP 11/Ocata work list to ensure forward progress but am not confident of 100% completion of the end to end feature in that time frame.

Comment 25 Stephen Gordon 2017-07-25 14:27:41 UTC
Hi Matt,

How has this been tracking upstream through Pike? How much of it remains outstanding?

Thanks,

Steve

Comment 37 Matthew Booth 2018-06-05 16:39:33 UTC
Upstream cinder has support for multiattach on the following backend drivers:

scaleio
infinidat
lvm
solidfire
zfssaiscsi

A couple of things to note:

storwize_svc appears to publish the multiattach capability if the storwize_svc_multihostmap_enabled config option is set to True, but it's marked deprecated and the help text says it has no effect.

There's a cinder config option for netapp called netapp_enable_multiattach which seems to relate to an internal netapp multiattach feature, and does not enable cinder multiattach.

It would be good to get independent confirmation of the above, as I have created the above primary from grep.

Comment 42 errata-xmlrpc 2019-01-11 11:47:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.